1 Reply Latest reply: Nov 29, 2012 9:01 AM by mende1
saasen Level 1 Level 1

I have a mac mini with osx v 10.5.8 and I am trying to install itunes and firefox however when I Download the dmg files it says the archetecture does not support the versions of the files I have downloaded. How can I fix this so that I can install versions of programs that will allow me to utilize my mac? I have all the software updates downloaded and installed bu the issue persists.


Mac mini, Mac OS X (10.5.8)
Solved by mende1 on Nov 29, 2012 9:01 AM Solved

Welcome to the Apple Support Communities

 

Go to  > About this Mac and copy Processor. If you've a PowerPC Mac, you can't install the most recent iTunes and Firefox versions